var jt = Object.defineProperty, Ot = Object.defineProperties;
var St = Object.getOwnPropertyDescriptors;
var ut = Object.getOwnPropertySymbols;
var At = Object.prototype.hasOwnProperty, Nt = Object.prototype.propertyIsEnumerable;
var Y = (t, e, n) => e in t ? jt(t, e, { enumerable: !0, configurable: !0, writable: !0, value: n }) : t[e] = n, at = (t, e) => {
  for (var n in e || (e = {}))
    At.call(e, n) && Y(t, n, e[n]);
  if (ut)
    for (var n of ut(e))
      Nt.call(e, n) && Y(t, n, e[n]);
  return t;
}, ft = (t, e) => Ot(t, St(e));
var C = (t, e, n) => (Y(t, typeof e != "symbol" ? e + "" : e, n), n);
var dt = (t, e, n) => new Promise((s, r) => {
  var i = (u) => {
    try {
      o(n.next(u));
    } catch (c) {
      r(c);
    }
  }, l = (u) => {
    try {
      o(n.throw(u));
    } catch (c) {
      r(c);
    }
  }, o = (u) => u.done ? s(u.value) : Promise.resolve(u.value).then(i, l);
  o((n = n.apply(t, e)).next());
});
function k() {
}
const zt = (t) => t;
function Pt(t, e) {
  for (const n in e)
    t[n] = e[n];
  return (
    /** @type {T & S} */
    t
  );
}
function wt(t) {
  return t();
}
function ht() {
  return /* @__PURE__ */ Object.create(null);
}
function j(t) {
  t.forEach(wt);
}
function ot(t) {
  return typeof t == "function";
}
function Bt(t, e) {
  return t != t ? e == e : t !== e || t && typeof t == "object" || typeof t == "function";
}
let W;
function be(t, e) {
  return t === e ? !0 : (W || (W = document.createElement("a")), W.href = e, t === W.href);
}
function Tt(t) {
  return Object.keys(t).length === 0;
}
function Rt(t, ...e) {
  if (t == null) {
    for (const s of e)
      s(void 0);
    return k;
  }
  const n = t.subscribe(...e);
  return n.unsubscribe ? () => n.unsubscribe() : n;
}
function we(t, e, n) {
  t.$$.on_destroy.push(Rt(e, n));
}
function D(t, e, n, s) {
  if (t) {
    const r = Ct(t, e, n, s);
    return t[0](r);
  }
}
function Ct(t, e, n, s) {
  return t[1] && s ? Pt(n.ctx.slice(), t[1](s(e))) : n.ctx;
}
function H(t, e, n, s) {
  if (t[2] && s) {
    const r = t[2](s(n));
    if (e.dirty === void 0)
      return r;
    if (typeof r == "object") {
      const i = [], l = Math.max(e.dirty.length, r.length);
      for (let o = 0; o < l; o += 1)
        i[o] = e.dirty[o] | r[o];
      return i;
    }
    return e.dirty | r;
  }
  return e.dirty;
}
function I(t, e, n, s, r, i) {
  if (r) {
    const l = Ct(e, n, s, i);
    t.p(l, r);
  }
}
function q(t) {
  if (t.ctx.length > 32) {
    const e = [], n = t.ctx.length / 32;
    for (let s = 0; s < n; s++)
      e[s] = -1;
    return e;
  }
  return -1;
}
const xt = typeof window != "undefined";
let Wt = xt ? () => window.performance.now() : () => Date.now(), rt = xt ? (t) => requestAnimationFrame(t) : k;
const A = /* @__PURE__ */ new Set();
function vt(t) {
  A.forEach((e) => {
    e.c(t) || (A.delete(e), e.f());
  }), A.size !== 0 && rt(vt);
}
function Dt(t) {
  let e;
  return A.size === 0 && rt(vt), {
    promise: new Promise((n) => {
      A.add(e = { c: t, f: n });
    }),
    abort() {
      A.delete(e);
    }
  };
}
const Ce = typeof window != "undefined" ? window : typeof globalThis != "undefined" ? globalThis : (
  // @ts-ignore Node typings have this
  global
);
function x(t, e) {
  t.appendChild(e);
}
function Ht(t, e, n) {
  const s = lt(t);
  if (!s.getElementById(e)) {
    const r = v("style");
    r.id = e, r.textContent = n, Mt(s, r);
  }
}
function lt(t) {
  if (!t)
    return document;
  const e = t.getRootNode ? t.getRootNode() : t.ownerDocument;
  return e && /** @type {ShadowRoot} */
  e.host ? (
    /** @type {ShadowRoot} */
    e
  ) : t.ownerDocument;
}
function It(t) {
  const e = v("style");
  return e.textContent = "/* empty */", Mt(lt(t), e), e.sheet;
}
function Mt(t, e) {
  return x(
    /** @type {Document} */
    t.head || t,
    e
  ), e.sheet;
}
function ct(t, e, n) {
  t.insertBefore(e, n || null);
}
function z(t) {
  t.parentNode && t.parentNode.removeChild(t);
}
function xe(t, e) {
  for (let n = 0; n < t.length; n += 1)
    t[n] && t[n].d(e);
}
function v(t) {
  return document.createElement(t);
}
function $t(t) {
  return document.createElementNS("http://www.w3.org/2000/svg", t);
}
function Et(t) {
  return document.createTextNode(t);
}
function tt() {
  return Et(" ");
}
function ve() {
  return Et("");
}
function G(t, e, n, s) {
  return t.addEventListener(e, n, s), () => t.removeEventListener(e, n, s);
}
function Me(t) {
  return function(e) {
    return e.preventDefault(), t.call(this, e);
  };
}
function _(t, e, n) {
  n == null ? t.removeAttribute(e) : t.getAttribute(e) !== n && t.setAttribute(e, n);
}
function Ee(t, e, n) {
  const s = e.toLowerCase();
  s in t ? t[s] = typeof t[s] == "boolean" && n === "" ? !0 : n : e in t ? t[e] = typeof t[e] == "boolean" && n === "" ? !0 : n : _(t, e, n);
}
function Le(t) {
  return t === "" ? null : +t;
}
function qt(t) {
  return Array.from(t.childNodes);
}
function ke(t, e) {
  e = "" + e, t.data !== e && (t.data = /** @type {string} */
  e);
}
function je(t, e) {
  t.value = e == null ? "" : e;
}
function Oe(t, e, n, s) {
  n == null ? t.style.removeProperty(e) : t.style.setProperty(e, n, "");
}
let F;
function Ft() {
  if (F === void 0) {
    F = !1;
    try {
      typeof window != "undefined" && window.parent && window.parent.document;
    } catch (t) {
      F = !0;
    }
  }
  return F;
}
function Se(t, e) {
  getComputedStyle(t).position === "static" && (t.style.position = "relative");
  const s = v("iframe");
  s.setAttribute(
    "style",
    "display: block; position: absolute; top: 0; left: 0; width: 100%; height: 100%; overflow: hidden; border: 0; opacity: 0; pointer-events: none; z-index: -1;"
  ), s.setAttribute("aria-hidden", "true"), s.tabIndex = -1;
  const r = Ft();
  let i;
  return r ? (s.src = "data:text/html,<script>onresize=function(){parent.postMessage(0,'*')}<\/script>", i = G(
    window,
    "message",
    /** @param {MessageEvent} event */
    (l) => {
      l.source === s.contentWindow && e();
    }
  )) : (s.src = "about:blank", s.onload = () => {
    i = G(s.contentWindow, "resize", e), e();
  }), x(t, s), () => {
    (r || i && s.contentWindow) && i(), z(s);
  };
}
function Ae(t, e, n) {
  t.classList.toggle(e, !!n);
}
function Ut(t, e, { bubbles: n = !1, cancelable: s = !1 } = {}) {
  return new CustomEvent(t, { detail: e, bubbles: n, cancelable: s });
}
function Jt(t) {
  const e = {};
  return t.childNodes.forEach(
    /** @param {Element} node */
    (n) => {
      e[n.slot || "default"] = !0;
    }
  ), e;
}
const K = /* @__PURE__ */ new Map();
let Q = 0;
function Vt(t) {
  let e = 5381, n = t.length;
  for (; n--; )
    e = (e << 5) - e ^ t.charCodeAt(n);
  return e >>> 0;
}
function Gt(t, e) {
  const n = { stylesheet: It(e), rules: {} };
  return K.set(t, n), n;
}
function _t(t, e, n, s, r, i, l, o = 0) {
  const u = 16.666 / s;
  let c = `{
`;
  for (let g = 0; g <= 1; g += u) {
    const m = e + (n - e) * i(g);
    c += g * 100 + `%{${l(m, 1 - m)}}
`;
  }
  const p = c + `100% {${l(n, 1 - n)}}
}`, $ = `__svelte_${Vt(p)}_${o}`, y = lt(t), { stylesheet: f, rules: d } = K.get(y) || Gt(y, t);
  d[$] || (d[$] = !0, f.insertRule(`@keyframes ${$} ${p}`, f.cssRules.length));
  const h = t.style.animation || "";
  return t.style.animation = `${h ? `${h}, ` : ""}${$} ${s}ms linear ${r}ms 1 both`, Q += 1, $;
}
function Kt(t, e) {
  const n = (t.style.animation || "").split(", "), s = n.filter(
    e ? (i) => i.indexOf(e) < 0 : (i) => i.indexOf("__svelte") === -1
    // remove all Svelte animations
  ), r = n.length - s.length;
  r && (t.style.animation = s.join(", "), Q -= r, Q || Qt());
}
function Qt() {
  rt(() => {
    Q || (K.forEach((t) => {
      const { ownerNode: e } = t.stylesheet;
      e && z(e);
    }), K.clear());
  });
}
let R;
function T(t) {
  R = t;
}
function Zt() {
  if (!R)
    throw new Error("Function called outside component initialization");
  return R;
}
function Ne(t) {
  Zt().$$.on_mount.push(t);
}
const S = [], st = [];
let N = [];
const mt = [], Xt = /* @__PURE__ */ Promise.resolve();
let it = !1;
function Yt() {
  it || (it = !0, Xt.then(X));
}
function Z(t) {
  N.push(t);
}
const et = /* @__PURE__ */ new Set();
let O = 0;
function X() {
  if (O !== 0)
    return;
  const t = R;
  do {
    try {
      for (; O < S.length; ) {
        const e = S[O];
        O++, T(e), te(e.$$);
      }
    } catch (e) {
      throw S.length = 0, O = 0, e;
    }
    for (T(null), S.length = 0, O = 0; st.length; )
      st.pop()();
    for (let e = 0; e < N.length; e += 1) {
      const n = N[e];
      et.has(n) || (et.add(n), n());
    }
    N.length = 0;
  } while (S.length);
  for (; mt.length; )
    mt.pop()();
  it = !1, et.clear(), T(t);
}
function te(t) {
  if (t.fragment !== null) {
    t.update(), j(t.before_update);
    const e = t.dirty;
    t.dirty = [-1], t.fragment && t.fragment.p(t.ctx, e), t.after_update.forEach(Z);
  }
}
function ee(t) {
  const e = [], n = [];
  N.forEach((s) => t.indexOf(s) === -1 ? e.push(s) : n.push(s)), n.forEach((s) => s()), N = e;
}
let P;
function ne() {
  return P || (P = Promise.resolve(), P.then(() => {
    P = null;
  })), P;
}
function nt(t, e, n) {
  t.dispatchEvent(Ut(`${e ? "intro" : "outro"}${n}`));
}
const J = /* @__PURE__ */ new Set();
let M;
function ze() {
  M = {
    r: 0,
    c: [],
    p: M
    // parent group
  };
}
function Pe() {
  M.r || j(M.c), M = M.p;
}
function B(t, e) {
  t && t.i && (J.delete(t), t.i(e));
}
function U(t, e, n, s) {
  if (t && t.o) {
    if (J.has(t))
      return;
    J.add(t), M.c.push(() => {
      J.delete(t), s && (n && t.d(1), s());
    }), t.o(e);
  } else
    s && s();
}
const se = { duration: 0 };
function Be(t, e, n, s) {
  let i = e(t, n, { direction: "both" }), l = s ? 0 : 1, o = null, u = null, c = null, p;
  function $() {
    c && Kt(t, c);
  }
  function y(d, h) {
    const g = (
      /** @type {Program['d']} */
      d.b - l
    );
    return h *= Math.abs(g), {
      a: l,
      b: d.b,
      d: g,
      duration: h,
      start: d.start,
      end: d.start + h,
      group: d.group
    };
  }
  function f(d) {
    const {
      delay: h = 0,
      duration: g = 300,
      easing: m = zt,
      tick: L = k,
      css: E
    } = i || se, b = {
      start: Wt() + h,
      b: d
    };
    d || (b.group = M, M.r += 1), "inert" in t && (d ? p !== void 0 && (t.inert = p) : (p = /** @type {HTMLElement} */
    t.inert, t.inert = !0)), o || u ? u = b : (E && ($(), c = _t(t, l, d, g, h, m, E)), d && L(0, 1), o = y(b, g), Z(() => nt(t, d, "start")), Dt((a) => {
      if (u && a > u.start && (o = y(u, g), u = null, nt(t, o.b, "start"), E && ($(), c = _t(
        t,
        l,
        o.b,
        o.duration,
        0,
        m,
        i.css
      ))), o) {
        if (a >= o.end)
          L(l = o.b, 1 - l), nt(t, o.b, "end"), u || (o.b ? $() : --o.group.r || j(o.group.c)), o = null;
        else if (a >= o.start) {
          const w = a - o.start;
          l = o.a + o.d * m(w / o.duration), L(l, 1 - l);
        }
      }
      return !!(o || u);
    }));
  }
  return {
    run(d) {
      ot(i) ? ne().then(() => {
        i = i({ direction: d ? "in" : "out" }), f(d);
      }) : f(d);
    },
    end() {
      $(), o = u = null;
    }
  };
}
function Te(t) {
  return (t == null ? void 0 : t.length) !== void 0 ? t : Array.from(t);
}
function ie(t, e, n) {
  const { fragment: s, after_update: r } = t.$$;
  s && s.m(e, n), Z(() => {
    const i = t.$$.on_mount.map(wt).filter(ot);
    t.$$.on_destroy ? t.$$.on_destroy.push(...i) : j(i), t.$$.on_mount = [];
  }), r.forEach(Z);
}
function oe(t, e) {
  const n = t.$$;
  n.fragment !== null && (ee(n.after_update), j(n.on_destroy), n.fragment && n.fragment.d(e), n.on_destroy = n.fragment = null, n.ctx = []);
}
function re(t, e) {
  t.$$.dirty[0] === -1 && (S.push(t), Yt(), t.$$.dirty.fill(0)), t.$$.dirty[e / 31 | 0] |= 1 << e % 31;
}
function le(t, e, n, s, r, i, l = null, o = [-1]) {
  const u = R;
  T(t);
  const c = t.$$ = {
    fragment: null,
    ctx: [],
    // state
    props: i,
    update: k,
    not_equal: r,
    bound: ht(),
    // lifecycle
    on_mount: [],
    on_destroy: [],
    on_disconnect: [],
    before_update: [],
    after_update: [],
    context: new Map(e.context || (u ? u.$$.context : [])),
    // everything else
    callbacks: ht(),
    dirty: o,
    skip_bound: !1,
    root: e.target || u.$$.root
  };
  l && l(c.root);
  let p = !1;
  if (c.ctx = n ? n(t, e.props || {}, ($, y, ...f) => {
    const d = f.length ? f[0] : y;
    return c.ctx && r(c.ctx[$], c.ctx[$] = d) && (!c.skip_bound && c.bound[$] && c.bound[$](d), p && re(t, $)), y;
  }) : [], c.update(), p = !0, j(c.before_update), c.fragment = s ? s(c.ctx) : !1, e.target) {
    if (e.hydrate) {
      const $ = qt(e.target);
      c.fragment && c.fragment.l($), $.forEach(z);
    } else
      c.fragment && c.fragment.c();
    e.intro && B(t.$$.fragment), ie(t, e.target, e.anchor), X();
  }
  T(u);
}
let Lt;
typeof HTMLElement == "function" && (Lt = class extends HTMLElement {
  constructor(e, n, s) {
    super();
    /** The Svelte component constructor */
    C(this, "$$ctor");
    /** Slots */
    C(this, "$$s");
    /** The Svelte component instance */
    C(this, "$$c");
    /** Whether or not the custom element is connected */
    C(this, "$$cn", !1);
    /** Component props data */
    C(this, "$$d", {});
    /** `true` if currently in the process of reflecting component props back to attributes */
    C(this, "$$r", !1);
    /** @type {Record<string, CustomElementPropDefinition>} Props definition (name, reflected, type etc) */
    C(this, "$$p_d", {});
    /** @type {Record<string, Function[]>} Event listeners */
    C(this, "$$l", {});
    /** @type {Map<Function, Function>} Event listener unsubscribe functions */
    C(this, "$$l_u", /* @__PURE__ */ new Map());
    this.$$ctor = e, this.$$s = n, s && this.attachShadow({ mode: "open" });
  }
  addEventListener(e, n, s) {
    if (this.$$l[e] = this.$$l[e] || [], this.$$l[e].push(n), this.$$c) {
      const r = this.$$c.$on(e, n);
      this.$$l_u.set(n, r);
    }
    super.addEventListener(e, n, s);
  }
  removeEventListener(e, n, s) {
    if (super.removeEventListener(e, n, s), this.$$c) {
      const r = this.$$l_u.get(n);
      r && (r(), this.$$l_u.delete(n));
    }
  }
  connectedCallback() {
    return dt(this, null, function* () {
      if (this.$$cn = !0, !this.$$c) {
        let e = function(i) {
          return () => {
            let l;
            return {
              c: function() {
                l = v("slot"), i !== "default" && _(l, "name", i);
              },
              /**
               * @param {HTMLElement} target
               * @param {HTMLElement} [anchor]
               */
              m: function(c, p) {
                ct(c, l, p);
              },
              d: function(c) {
                c && z(l);
              }
            };
          };
        };
        if (yield Promise.resolve(), !this.$$cn || this.$$c)
          return;
        const n = {}, s = Jt(this);
        for (const i of this.$$s)
          i in s && (n[i] = [e(i)]);
        for (const i of this.attributes) {
          const l = this.$$g_p(i.name);
          l in this.$$d || (this.$$d[l] = V(l, i.value, this.$$p_d, "toProp"));
        }
        for (const i in this.$$p_d)
          !(i in this.$$d) && this[i] !== void 0 && (this.$$d[i] = this[i], delete this[i]);
        this.$$c = new this.$$ctor({
          target: this.shadowRoot || this,
          props: ft(at({}, this.$$d), {
            $$slots: n,
            $$scope: {
              ctx: []
            }
          })
        });
        const r = () => {
          this.$$r = !0;
          for (const i in this.$$p_d)
            if (this.$$d[i] = this.$$c.$$.ctx[this.$$c.$$.props[i]], this.$$p_d[i].reflect) {
              const l = V(
                i,
                this.$$d[i],
                this.$$p_d,
                "toAttribute"
              );
              l == null ? this.removeAttribute(this.$$p_d[i].attribute || i) : this.setAttribute(this.$$p_d[i].attribute || i, l);
            }
          this.$$r = !1;
        };
        this.$$c.$$.after_update.push(r), r();
        for (const i in this.$$l)
          for (const l of this.$$l[i]) {
            const o = this.$$c.$on(i, l);
            this.$$l_u.set(l, o);
          }
        this.$$l = {};
      }
    });
  }
  // We don't need this when working within Svelte code, but for compatibility of people using this outside of Svelte
  // and setting attributes through setAttribute etc, this is helpful
  attributeChangedCallback(e, n, s) {
    var r;
    this.$$r || (e = this.$$g_p(e), this.$$d[e] = V(e, s, this.$$p_d, "toProp"), (r = this.$$c) == null || r.$set({ [e]: this.$$d[e] }));
  }
  disconnectedCallback() {
    this.$$cn = !1, Promise.resolve().then(() => {
      !this.$$cn && this.$$c && (this.$$c.$destroy(), this.$$c = void 0);
    });
  }
  $$g_p(e) {
    return Object.keys(this.$$p_d).find(
      (n) => this.$$p_d[n].attribute === e || !this.$$p_d[n].attribute && n.toLowerCase() === e
    ) || e;
  }
});
function V(t, e, n, s) {
  var i;
  const r = (i = n[t]) == null ? void 0 : i.type;
  if (e = r === "Boolean" && typeof e != "boolean" ? e != null : e, !s || !n[t])
    return e;
  if (s === "toAttribute")
    switch (r) {
      case "Object":
      case "Array":
        return e == null ? null : JSON.stringify(e);
      case "Boolean":
        return e ? "" : null;
      case "Number":
        return e == null ? null : e;
      default:
        return e;
    }
  else
    switch (r) {
      case "Object":
      case "Array":
        return e && JSON.parse(e);
      case "Boolean":
        return e;
      case "Number":
        return e != null ? +e : e;
      default:
        return e;
    }
}
function ce(t, e, n, s, r, i) {
  let l = class extends Lt {
    constructor() {
      super(t, n, r), this.$$p_d = e;
    }
    static get observedAttributes() {
      return Object.keys(e).map(
        (o) => (e[o].attribute || o).toLowerCase()
      );
    }
  };
  return Object.keys(e).forEach((o) => {
    Object.defineProperty(l.prototype, o, {
      get() {
        return this.$$c && o in this.$$c ? this.$$c[o] : this.$$d[o];
      },
      set(u) {
        var c;
        u = V(o, u, e), this.$$d[o] = u, (c = this.$$c) == null || c.$set({ [o]: u });
      }
    });
  }), s.forEach((o) => {
    Object.defineProperty(l.prototype, o, {
      get() {
        var u;
        return (u = this.$$c) == null ? void 0 : u[o];
      }
    });
  }), t.element = /** @type {any} */
  l, l;
}
class ue {
  constructor() {
    /**
     * ### PRIVATE API
     *
     * Do not use, may change at any time
     *
     * @type {any}
     */
    C(this, "$$");
    /**
     * ### PRIVATE API
     *
     * Do not use, may change at any time
     *
     * @type {any}
     */
    C(this, "$$set");
  }
  /** @returns {void} */
  $destroy() {
    oe(this, 1), this.$destroy = k;
  }
  /**
   * @template {Extract<keyof Events, string>} K
   * @param {K} type
   * @param {((e: Events[K]) => void) | null | undefined} callback
   * @returns {() => void}
   */
  $on(e, n) {
    if (!ot(n))
      return k;
    const s = this.$$.callbacks[e] || (this.$$.callbacks[e] = []);
    return s.push(n), () => {
      const r = s.indexOf(n);
      r !== -1 && s.splice(r, 1);
    };
  }
  /**
   * @param {Partial<Props>} props
   * @returns {void}
   */
  $set(e) {
    this.$$set && !Tt(e) && (this.$$.skip_bound = !0, this.$$set(e), this.$$.skip_bound = !1);
  }
}
const ae = "4";
typeof window != "undefined" && (window.__svelte || (window.__svelte = { v: /* @__PURE__ */ new Set() })).v.add(ae);
function fe(t) {
  Ht(t, "svelte-1m890h5", "*,*::before,*::after{margin:0;padding:0;box-sizing:border-box}.CashierModalWindow{container-type:inline-size;container-name:confirm-modal;display:flex;position:absolute;align-items:center;justify-content:center;width:100%;height:100%;z-index:4;top:0;left:0;background-color:var(--emw--color-background, rgba(0, 0, 0, 0.1))}.CashierModalContainer{width:500px;display:flex;flex-direction:column;justify-content:center;align-items:center;gap:var(--emw--spacing-large, 20px);position:relative;padding:var(--emw--spacing-medium, 15px);min-height:200px;box-shadow:0 2px 6px 0 var(--mmw--color-black-transparency-10, rgba(0, 0, 0, 0.1));border-radius:var(--mmw--border-radius-large-plus, 10px);background-color:var(--emw--color-white, #fff)}.ModalOkBtn{color:var(--emw--color-white, #fff);display:flex;align-items:center;justify-content:center;font-size:var(--emw--font-size-medium, 16px);font-style:normal;font-weight:var(--emw--font-weight-normal, 400);font-family:inherit;height:46px;width:100%;border:none;border-radius:50px;line-height:125%;background-color:var(--emw--color-primary, #7EC51E);margin-top:var(--emw--spacing-small, 12px);cursor:pointer}.ModalCloseBtn{position:absolute;display:flex;justify-content:space-between;align-items:center;padding:var(--emw--spacing-small, 12px) var(--emw--spacing-small, 12px);height:inherit;right:0;top:0;cursor:pointer}@container confirm-modal (max-width: 750px){.CashierModalContainer{margin:var(--emw--spacing-x-large, 30px) var(--emw--spacing-small, 12px)}}");
}
const de = (t) => ({}), pt = (t) => ({}), he = (t) => ({}), gt = (t) => ({}), $e = (t) => ({}), yt = (t) => ({ class: "CashierModalText" }), _e = (t) => ({}), bt = (t) => ({ class: "CashierModalTitle" });
function me(t) {
  let e, n;
  return {
    c() {
      e = $t("svg"), n = $t("path"), _(n, "d", "M12.7711 0.229435C13.0582 0.517619 13.0755 0.973729 12.8215 1.28141L12.7711 1.33721L7.60685 6.50068L12.7711 11.6641C12.9128 11.8066 12.9944 11.998 12.999 12.1988C13.0035 12.3997 12.9308 12.5946 12.7957 12.7433C12.6606 12.892 12.4735 12.9832 12.2731 12.9979C12.0728 13.0126 11.8744 12.9497 11.7191 12.8223L11.6633 12.7719L6.49958 7.60791L1.3359 12.7719C1.19349 12.9136 1.00207 12.9952 0.801203 12.9998C0.60034 13.0044 0.405398 12.9316 0.256676 12.7965C0.107955 12.6614 0.0168256 12.4744 0.00212786 12.274C-0.0125699 12.0736 0.0502877 11.8753 0.177706 11.7199L0.228086 11.6641L5.3923 6.50068L0.228086 1.33721C0.0863637 1.1948 0.00478102 1.00338 0.000203544 0.802529C-0.00437393 0.601674 0.0684038 0.40674 0.203491 0.258024C0.338579 0.109308 0.525647 0.0181829 0.726024 0.00348576C0.9264 -0.0112114 1.12476 0.0516437 1.28011 0.179057L1.3359 0.229435L6.49958 5.39345L11.6633 0.229435C11.736 0.156695 11.8223 0.0989949 11.9174 0.0596283C12.0124 0.0202617 12.1143 0 12.2172 0C12.32 0 12.4219 0.0202617 12.5169 0.0596283C12.612 0.0989949 12.6983 0.156695 12.7711 0.229435Z"), _(n, "fill", "#111111"), _(e, "xmlns", "http://www.w3.org/2000/svg"), _(e, "width", "13"), _(e, "height", "20"), _(e, "viewBox", "0 0 13 13"), _(e, "fill", "none");
    },
    m(s, r) {
      ct(s, e, r), x(e, n);
    },
    p: k,
    d(s) {
      s && z(e);
    }
  };
}
function pe(t) {
  let e, n, s, r, i, l, o, u, c, p, $;
  const y = (
    /*#slots*/
    t[6].title
  ), f = D(
    y,
    t,
    /*$$scope*/
    t[5],
    bt
  ), d = (
    /*#slots*/
    t[6].text
  ), h = D(
    d,
    t,
    /*$$scope*/
    t[5],
    yt
  ), g = (
    /*#slots*/
    t[6].confirm
  ), m = D(
    g,
    t,
    /*$$scope*/
    t[5],
    gt
  ), L = (
    /*#slots*/
    t[6].close
  ), E = D(
    L,
    t,
    /*$$scope*/
    t[5],
    pt
  ), b = E || me();
  return {
    c() {
      e = v("div"), n = v("div"), s = v("div"), f && f.c(), r = tt(), h && h.c(), i = tt(), l = v("span"), m && m.c(), o = tt(), u = v("span"), b && b.c(), _(l, "class", "ModalOkBtn"), _(l, "role", "button"), _(u, "class", "ModalCloseBtn"), _(u, "role", "button"), _(s, "class", "CashierModalContainer"), _(s, "part", "CashierModalContainer"), _(n, "class", "CashierModalWindow"), _(n, "part", "CashierModalWindow"), _(n, "id", "Modal"), _(e, "part", "CustomStylingContainer");
    },
    m(a, w) {
      ct(a, e, w), x(e, n), x(n, s), f && f.m(s, null), x(s, r), h && h.m(s, null), x(s, i), x(s, l), m && m.m(l, null), x(s, o), x(s, u), b && b.m(u, null), t[7](e), c = !0, p || ($ = [
        G(
          l,
          "click",
          /*confirm*/
          t[2]
        ),
        G(
          u,
          "click",
          /*close*/
          t[1]
        )
      ], p = !0);
    },
    p(a, [w]) {
      f && f.p && (!c || w & /*$$scope*/
      32) && I(
        f,
        y,
        a,
        /*$$scope*/
        a[5],
        c ? H(
          y,
          /*$$scope*/
          a[5],
          w,
          _e
        ) : q(
          /*$$scope*/
          a[5]
        ),
        bt
      ), h && h.p && (!c || w & /*$$scope*/
      32) && I(
        h,
        d,
        a,
        /*$$scope*/
        a[5],
        c ? H(
          d,
          /*$$scope*/
          a[5],
          w,
          $e
        ) : q(
          /*$$scope*/
          a[5]
        ),
        yt
      ), m && m.p && (!c || w & /*$$scope*/
      32) && I(
        m,
        g,
        a,
        /*$$scope*/
        a[5],
        c ? H(
          g,
          /*$$scope*/
          a[5],
          w,
          he
        ) : q(
          /*$$scope*/
          a[5]
        ),
        gt
      ), E && E.p && (!c || w & /*$$scope*/
      32) && I(
        E,
        L,
        a,
        /*$$scope*/
        a[5],
        c ? H(
          L,
          /*$$scope*/
          a[5],
          w,
          de
        ) : q(
          /*$$scope*/
          a[5]
        ),
        pt
      );
    },
    i(a) {
      c || (B(f, a), B(h, a), B(m, a), B(b, a), c = !0);
    },
    o(a) {
      U(f, a), U(h, a), U(m, a), U(b, a), c = !1;
    },
    d(a) {
      a && z(e), f && f.d(a), h && h.d(a), m && m.d(a), b && b.d(a), t[7](null), p = !1, j($);
    }
  };
}
function ge(t, e, n) {
  let { $$slots: s = {}, $$scope: r } = e, { clientstyling: i = "" } = e, { clientstylingurl: l = "" } = e, o;
  const u = () => {
    window.postMessage({ type: "CloseModal" }, window.location.href);
  }, c = () => {
    window.postMessage({ type: "ConfirmModal" }, window.location.href), u();
  }, p = () => {
    let f = document.createElement("style");
    f.innerHTML = i, o.appendChild(f);
  }, $ = () => {
    let f = new URL(l), d = document.createElement("style");
    fetch(f.href).then((h) => h.text()).then((h) => {
      d.innerHTML = h, setTimeout(
        () => {
          o.appendChild(d);
        },
        1
      );
    });
  };
  function y(f) {
    st[f ? "unshift" : "push"](() => {
      o = f, n(0, o);
    });
  }
  return t.$$set = (f) => {
    "clientstyling" in f && n(3, i = f.clientstyling), "clientstylingurl" in f && n(4, l = f.clientstylingurl), "$$scope" in f && n(5, r = f.$$scope);
  }, t.$$.update = () => {
    t.$$.dirty & /*clientstyling, customStylingContainer*/
    9 && i && o && p(), t.$$.dirty & /*clientstylingurl, customStylingContainer*/
    17 && l && o && $();
  }, [
    o,
    u,
    c,
    i,
    l,
    r,
    s,
    y
  ];
}
class kt extends ue {
  constructor(e) {
    super(), le(this, e, ge, pe, Bt, { clientstyling: 3, clientstylingurl: 4 }, fe);
  }
  get clientstyling() {
    return this.$$.ctx[3];
  }
  set clientstyling(e) {
    this.$$set({ clientstyling: e }), X();
  }
  get clientstylingurl() {
    return this.$$.ctx[4];
  }
  set clientstylingurl(e) {
    this.$$set({ clientstylingurl: e }), X();
  }
}
ce(kt, { clientstyling: {}, clientstylingurl: {} }, ["title", "text", "confirm", "close"], [], !0);
const Re = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  default: kt
}, Symbol.toStringTag, { value: "Module" }));
export {
  st as A,
  G as B,
  be as C,
  Ee as D,
  ce as E,
  Z as F,
  Ce as G,
  Ne as H,
  Le as I,
  Ae as J,
  Te as K,
  xe as L,
  Me as M,
  $t as N,
  je as O,
  Oe as P,
  zt as Q,
  Be as R,
  ue as S,
  Se as T,
  Re as U,
  Rt as a,
  le as b,
  Ht as c,
  D as d,
  z as e,
  X as f,
  B as g,
  q as h,
  ot as i,
  H as j,
  ze as k,
  Pe as l,
  ct as m,
  k as n,
  x as o,
  v as p,
  tt as q,
  j as r,
  Bt as s,
  U as t,
  I as u,
  _ as v,
  we as w,
  ve as x,
  ke as y,
  Et as z
};
